rinse (3.4) unstable; urgency=low

  [ Thomas Lange ]
  * README: new git urls
  * centos-8.packages: add missing packages
  * rinse.conf: fix fedora-28 URL

  [ Ondřej Nový ]
  * changelog: remove trailing whitespaces

  [ Ulrich Zehl ]
  * rinse: exit if downloading packages failed

  [ Juri Grabowski ]
  * integrate centos8 release

  [ Stefan Möding ]
  * rinse: make rinse downloads reproducible, Closes: #944678

 -- Thomas Lange <lange@debian.org>  Wed, 15 Jan 2020 18:25:55 +0100

rinse (3.3) unstable; urgency=low

  [ Thomas Lange ]
  * control: new URLs, fix priority, update standards version
  * watch: new URL
  * Makefile: new path for completions
  * centos-7.packages: add packages and remove some
  * rinse: create /dev/urandom early, more verbose messages

  [ Dima Kogan ]
  * add fedora 25,26,27,28
  * use archives.fedoraproject.org
  * consolidated identical scripts with symlinks
  * rinse: if a distro has no scripts I barf instead of silently skipping it,
    'pkgs-dir' and 'config' configuration keys can work locally,
    find scripts in their un-installed paths

  [ Ulrich Zehl ]
  * rinse: make RPM links work with HTTPS, Closes: #876268

 -- Thomas Lange <lange@debian.org>  Fri, 18 May 2018 18:58:26 +0200

rinse (3.2) unstable; urgency=low

  * add config for opensuse 42.2
  * rinse.conf: fix URL, Closes: #803360

 -- Thomas Lange <lange@debian.org>  Thu, 01 Dec 2016 21:27:36 +0100

rinse (3.1.1) unstable; urgency=low

  * fedora-2*: add findutils, iputils
  * fedora-22: add packages for dnf plugins
  * fedora-22/post-install.sh: better DNF support

 -- Thomas Lange <lange@debian.org>  Fri, 28 Aug 2015 15:30:29 +0200

rinse (3.1) unstable; urgency=low

  * add support for fedora 20-22, Closes: #789421
  * mount /proc; Closes: #777739
  * increase timeout
  * fix package list for fedora-1{8,9}
  * control: update standards version

 -- Thomas Lange <lange@debian.org>  Fri, 21 Aug 2015 17:47:29 +0200

rinse (3.0.9) unstable; urgency=high

  * add dependency on new cpio version
  * fix date of 3.0.7 entry, Closes: #782518

 -- Thomas Lange <lange@debian.org>  Tue, 14 Apr 2015 09:03:48 +0200

rinse (3.0.8) unstable; urgency=high

  * add --extract-over-symlinks to cpio call, Closes: #768501
    this restores the old behaviour of cpio, which changed because of
    CVE-2015-1197 (see #774669)
  * add check if cpio call failed

 -- Thomas Lange <lange@debian.org>  Mon, 13 Apr 2015 14:51:41 +0200

rinse (3.0.7) unstable; urgency=high

  * control: change depends on perl-modules to perl, Closes: #779118,
    update Vcs-git

 -- Thomas Lange <lange@debian.org>  Wed, 25 Feb 2015 11:47:20 +0100

rinse (3.0.6) unstable; urgency=low

  * add missing symlink for ld

 -- Thomas Lange <lange@debian.org>  Wed, 29 Oct 2014 15:29:08 +0100

rinse (3.0.5) unstable; urgency=low

  * add missing packages for CentOS 6 and 7
  * add commands to postinst for CentOS 7

 -- Thomas Lange <lange@debian.org>  Wed, 29 Oct 2014 15:17:33 +0100

rinse (3.0.4) unstable; urgency=low

  * add missing package for CentOS 7

 -- Thomas Lange <lange@debian.org>  Fri, 25 Jul 2014 14:35:35 +0200

rinse (3.0.3) unstable; urgency=low

  * always unpack the package filesystem first. This is needed because of
    CentOS/Fedora /usr-move. Some subdirs (like /sbin) are now symlinks
    to /usr/<name>.

 -- Thomas Lange <lange@debian.org>  Fri, 25 Jul 2014 13:24:46 +0200

rinse (3.0.2) unstable; urgency=low

  * add missing package for CentOS 7

 -- Thomas Lange <lange@debian.org>  Wed, 09 Jul 2014 16:20:28 +0200

rinse (3.0.1) unstable; urgency=low

  * add CentOS 7 support, Closes: #754152

 -- Thomas Lange <lange@debian.org>  Tue, 08 Jul 2014 15:05:26 +0200

rinse (3.0) unstable; urgency=low

  * add subroutine updaterpmdb, which fixes the status of the packages
    inside the target (before, they were not recongnized as installed)
  * major changes in output of messages
  * include patches from Nathan O'Sullivan <nathan@mammoth.com.au>
  * add i586 to list of 32bit architectures
  * add config for newer fedora and openSUSE releases, Closes: #684013
  * support sub index page links
  * increase timeout, Closes: #733728
  * new code in sub downloadPackagesToDirectory for determine the download
    link for a certain package
  * setup /etc/rpm/platform in CentOS 5 postinst
  * fix CentOS 4 URL's, Closes: #702315
  * cleanup postinst scripts of openSUSE 11.3 12,3, fedora 19 and 18
  * add support for openSUSE 13.1, mostly a copy of 12.3
  * convert to a native Debian package
  * new rules file, adjust Makefile
  * update standards version, no change needed

 -- Thomas Lange <lange@debian.org>  Fri, 04 Jul 2014 13:19:08 +0200

rinse (2.0.1-1) unstable; urgency=low

  * create missing random devices, thanks to Dan Kegel closes: #685640
  * fix broken fedora urls, add urls for fedora 11-14 closes: #693353
  * Makefile: version++
  * copyright, bin/rinse: year++

 -- Thomas Lange <lange@debian.org>  Mon, 28 Jan 2013 17:19:05 +0100

rinse (2.0-1) unstable; urgency=low

  * make --arch mandatory
  * add option --mirror closes: #663934
  * add support for opensuse 12.1 closes: #661932
    Thanks to Rune Darrud for the patch
  * README: list all supported distributions closes: #661934
  * update Standards-Version, no changes needed
  * rinse.conf: fix URLs of old opensuse repos closes: #661931
  * copy files to and from the cache only if their size is greater zero
    closes: #663936
  * 10-resolv.conf.sh: add localhost to etc/hosts closes: #633079

 -- Thomas Lange <lange@debian.org>  Mon, 28 May 2012 12:30:53 +0200

rinse (1.9.1-1) unstable; urgency=low

  * add missing package for CentOS and SLC 6 (closes: 635645)
  * rinse.conf: fix wrong URL (closes: #635639)

 -- Thomas Lange <lange@debian.org>  Wed, 31 Aug 2011 11:38:27 +0200

rinse (1.9-1) unstable; urgency=low

  * add CentOS 6 support
  * add RHEL 5 support (closes: #632959)

 -- Thomas Lange <lange@debian.org>  Mon, 18 Jul 2011 14:59:10 +0200

rinse (1.8.1-1) unstable; urgency=low

  * add missing file slc-6.packages

 -- Thomas Lange <lange@debian.org>  Mon, 06 Jun 2011 10:08:22 +0200

rinse (1.8-1) unstable; urgency=low

  * control: new maintainer and upstream
  * centos-5.packages: add missing lib (closes: #623387)
  * centos-5/post-install.sh: install modprobe.conf (closes: #588030)
  * new url's for fedora 8-10 (closes: #573390)
  * add Scientific Linux Cern 5 support (closes: #620081)
  * add SLC 6 support
  * add support for packages with i686 in their names (closes: #623474)

 -- Thomas Lange <lange@debian.org>  Mon, 16 May 2011 09:49:21 +0200

rinse (1.7-2) unstable; urgency=high

  * Install a modprobe.conf when possible.
    (Closes: #588030)

 -- Steve Kemp <skx@debian.org>  Fri, 27 Aug 2010 22:11:22 +0000

rinse (1.7-1) unstable; urgency=low

  * Added missing packages so that Centos 5.x will install.
    (Closes: #524486)
  * Avoid hardwired mirrors in the post-install scripts.

 -- Steve Kemp <skx@debian.org>  Tue, 21 Apr 2009 19:18:17 -0000

rinse (1.6-1) unstable; urgency=low

  * Add support for openSuSE 10.1-11.1

 -- Thayne Harbaugh <thayne_atsymbol_fusionio_com>  Fri, 06 Mar 2009 16:35:42 -0700

rinse (1.5-1) unstable; urgency=medium

  * Added support for Fedora Core 10

 -- Steve Kemp <skx@debian.org>  Sat, 20 Dec 2008 23:00:32 +0000

rinse (1.4-1) unstable; urgency=medium

  * Add the new command line flag "--add-pkg-list".  Patch from
    Roberto Suarez Soto.

 -- Steve Kemp <skx@debian.org>  Sun, 16 Nov 2008 14:00:41 +0000

rinse (1.3-2) unstable; urgency=medium

  * Removed several "bashisms" from our scripts
    - Thanks for Ubuntu for the patch / feedback.
    (Closes: #488356)

 -- Steve Kemp <skx@debian.org>  Fri, 27 Jun 2008 15:44:51 +0000

rinse (1.3-1) unstable; urgency=medium

  * New upstream release.
    - Add support for the first release of Fedora Core 9.
  * Updated to standards version 3.8.0.
    - No changes

 -- Steve Kemp <skx@debian.org>  Fri, 27 Jun 2008 15:44:51 +0000

rinse (1.2-1) unstable; urgency=medium

  * New upstream release.
    - Support Fedora Core 9 test preview.
    - Better caching for FC-8
    - Code ran through spellchecker + pretty formatter

 -- Steve Kemp <skx@debian.org>  Wed, 7 May 2008 18:33:33 +0000

rinse (1.1-1) unstable; urgency=medium

  * New upstream release.
    - Updated handling of Centos5.

 -- Steve Kemp <skx@debian.org>  Sat, 30 Apr 2008 18:44:44 +0000

rinse (1.0-1) unstable; urgency=medium

  * New upstream release.
    - Fixed support for FC 5 & 6.
  * Updated standard versions to 3.7.3:
    - Moved Homepage: from description to header.

 -- Steve Kemp <skx@debian.org>  Sat, 15 Mar 2008 23:24:25 +0000

rinse (0.9-1) unstable; urgency=medium

  * New upstream release.
    - Add support for Fedora Core 8 (Closes: #450624)

 -- Steve Kemp <skx@debian.org>  Tue, 13 Nov 2007 21:16:25 +0000

rinse (0.8-1) unstable; urgency=medium

  * New upstream release
    - Updated the handling of the bugfix for Centos 5.
    - Removed /etc/rinse/*.conf and replaced with a single config file.

 -- Steve Kemp <skx@debian.org>  Mon, 12 Aug 2007 00:24:42 +0000

rinse (0.7-1) unstable; urgency=low

  * New upstream release
    - Working installers for Centos 4 & 5.

 -- Steve Kemp <skx@debian.org>  Wed, 8 Aug 2007 18:36:31 +0000

rinse (0.6-3) unstable; urgency=low

  * Changed the maintainer address to be my Debian address.

 -- Steve Kemp <skx@debian.org>  Tue, 31 Jul 2007 14:11:40 +0000

rinse (0.6-2) unstable; urgency=medium

  * Sync up to the latest real 0.6 release:
    - Add support for Fedora Core 7.
    - Drop the dependency upon 'alien'.
    - Added more testing.

 -- Steve Kemp <skx@debian.org>  Sun, 29 Jul 2007 00:28:41 +0000

rinse (0.6-1) unstable; urgency=medium

  * Initial upload to Debian Sid.  (Closes: #434282)

 -- Steve Kemp <skx@debian.org>  Sat, 22 Jul 2007 22:37:32 +0000

rinse (0.5-1) unstable; urgency=medium

  * v0.5 release:
    - *Really* work correctly for --arch=amd64
    - Added 'rinse-unpack' to the distribution.  [Not installed]

 -- Steve Kemp <steve@steve.org.uk>  Sat, 20 Jul 2007 20:26:38 +0000

rinse (0.4-1) unstable; urgency=low

  * v0.4 release:
    - Included a manpage
    - Work correctly for --arch=amd64

 -- Steve Kemp <steve@steve.org.uk>  Fri, 20 Jul 2007 20:30:58 +0000

rinse (0.3-1) unstable; urgency=low

  * New release.

 -- Steve Kemp <steve@steve.org.uk>  Mon, 16 Jul 2007 04:51:46 +0000

rinse (0.2-1) unstable; urgency=low

  * Initial Debian package.

 -- Steve Kemp <steve@steve.org.uk>  Mon, 16 Jul 2007 04:51:46 +0000

